/*
* Animated classes
*/
.height-transition{
    max-height: 0;
    transition: max-height 0.25s ease-in;
}

/* 
 * Global search
*/
.global-search {
    color: #244a8f;
    margin-right: 1rem;
    margin-left: 2rem;
    cursor: pointer;
    position: relative;
}

.global-search .fa {
    margin-top: 9px;
}

.global-search .has-search{
    position: absolute;
    right: -0.7rem;
    top: 2.5rem;
    padding: 0.5rem;
    border: 1px solid #244a8f;
    background-color: #fff;
}

.global-search .global_search_form{
    max-height: 50px;
    height: 100%;
    transition: max-height 0.2s ease-out;
}

.global-search .has-search:before, 
.global-search .has-search:after {
    content: '';
    display: block;
    position: absolute;
    bottom: 100%;
    width: 0;
    height: 0;
}
.global-search .has-search:before {
    right: 10px;
    top: -17px;
    border: 8px solid transparent;
    border-bottom-color: #244a8f;
}
.global-search .has-search:after {
    right: 11px;
    border: 7px solid transparent;
    border-bottom-color: #fff;
}

.global-search input{
    border: none;
    color: #244a8f;
    min-width: 220px;
    margin-right: 0.5rem;
}

.global-search *:focus{
    outline: none;
    background-color: transparent !important;
    background: transparent !important;
}

.global-search .separator{
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.global-search .global_search_form .message{
    font-size: 80%;
    text-align: center;
    font-style: italic;
    cursor: context-menu;
}

/*
* NOT WORKING WITH MULTIPLE SELECTOR
*/
.global-search input::-webkit-input-placeholder{
    color: #244a8f;
    opacity: 1;
}
.global-search input::-moz-placeholder{
    color: #244a8f;
    opacity: 1;
}
.global-search input:-moz-placeholder{
    color: #244a8f;
    opacity: 1;
}
.global-search input:-ms-input-placeholder{
    color: #244a8f;
    opacity: 1;
}

.global-search .submit{
    border: none;
    background: transparent;
    color: #244a8f;
    position: absolute;
    right: 1px;
    top: 11px;
    cursor: pointer;
}
/* End search */
